<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myProspectOrganizationDetailsLabel" jhiTranslate="mpmApp.prospectOrganizationDetails.home.createOrEditLabel">Create or edit a Prospect Organization Details</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!prospectOrganizationDetails.idProspectOrganizationDetail">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id" [(ngModel)]="prospectOrganizationDetails.idProspectOrganizationDetail" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.prospectOrganizationDetails.idProspect" for="field_idProspect">Id Prospect</label>
            <input type="text" class="form-control" name="idProspect" id="field_idProspect"
                [(ngModel)]="prospectOrganizationDetails.idProspect"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.prospectOrganizationDetails.unitPrice" for="field_unitPrice">Unit Price</label>
            <input currencyMask class="form-control" name="unitPrice" id="field_unitPrice"
                [(ngModel)]="prospectOrganizationDetails.unitPrice"
                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                 />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.prospectOrganizationDetails.discount" for="field_discount">Discount</label>
            <input currencyMask class="form-control" name="discount" id="field_discount"
                [(ngModel)]="prospectOrganizationDetails.discount"
                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '2' }"
                 />
        </div>

        <!-- <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.prospectOrganizationDetails.person" for="field_person">Person</label>
            <select class="form-control" id="field_person" name="person" [(ngModel)]="prospectOrganizationDetails.personId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="personOption.idParty" *ngFor="let personOption of people; trackBy: trackPersonById">{{personOption.name}}</option>
            </select>
        </div> -->
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.prospectOrganizationDetails.product" for="field_product">Product</label>
            <select class="form-control" id="field_product" name="product" [(ngModel)]="prospectOrganizationDetails.productId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="motorOption.idProduct" *ngFor="let motorOption of motors; trackBy: trackMotorById">{{motorOption.name}}</option>
            </select>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.prospectOrganizationDetails.color" for="field_color">Color</label>
            <select class="form-control" id="field_color" name="color" [(ngModel)]="prospectOrganizationDetails.colorId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="featureOption.idFeature" *ngFor="let featureOption of features; trackBy: trackFeatureById">{{featureOption.description}}</option>
            </select>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}" 
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}" 
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
